PreviewWithdraw
get
Simulates the amount of shares needed to withdraw a specific amount of assets.
Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
- The account making the request
Query parameters
chainIdstringRequired
- The blockchain network ID
addressstringRequired
- The ERC4626 vault contract address
assetsstringRequired
- The amount of assets to withdraw
Header parameters
AuthorizationstringRequired
- The authorization token
Responses
200
The API response
application/json
Interface representing the structure of the API response for ERC4626.
successbooleanRequired
Indicates whether the API request was successful.
messagestringRequired
Provides a message related to the API response.
dataanyOptional
Optional data returned by the API.
get
/erc4626/{account}/previewWithdraw200
The API response